# SpecialGiggle (Under Development)

Compiler for BX language, written fully in Ruby

## Changelog

See [CHANGELOG.md](CHANGELOG.md) for more details

## Specification

See [SPECIFICATION.md](SPECIFICATION.md) for details

## Version Convention

- Patch 0.0.x: Implementation level changes, such as bugfixes
- Minor 0.x.0: Backwards compatible API changes, such as new functionality and feature
- Major x.0.0: Backwards incompatible API changes, such as changes that will break existing codes

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'special-giggle'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install special-giggle

## Usage

```ruby
require 'special-giggle'

SpecialGiggle.compile("file.bx", "file.bin")
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/kalari499/special-giggle.
