lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "special-giggle/version"

Gem::Specification.new do |spec|
  spec.name          = "special-giggle"
  spec.version       = SpecialGiggle::VERSION
  spec.authors       = ["kalari499"]
  spec.email         = ["kalari499@gmail.com"]

  spec.summary       = "BX language compiler written in Ruby"
  spec.homepage      = "https://github.com/kalari499/special-giggle"
  spec.license       = "MIT"

  spec.metadata["changelog_uri"] = "#{spec.homepage}/blob/master/CHANGELOG.md"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "irb", "~> 1.0"
end
